EDIT - bug #7879

Book CacheStrategy does not show 'place published’, ‘publisher’, 'editor’
10/30/2018 11:22 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

the same problem seems to exist with Print series

Originally reported by Henning:
Hallo Andreas,
ich habe da eine problematische Referenz.

In einer Serie gibt es ein Buch mit Editor, im Buch eine BookSection mit Autoren, in der BookSection eine Section mit einer
Teilmenge der Autoren. Ich habe tUber TaxEditor und Vaadin bisher nicht geschafft, den Titel vernlinftig einzugeben. Es gibt im
kritischen Teil einen Unterschied der Anzeige in Vaadin und im TaxEditor. So oder so &hnlich wiirde ich Book und BookSection in
einem Printmedium zitieren, wobei am Wichtigsten die Reihe mit Volume ist, die Autoren sind wichtig und der Section-Title.

e Lange-Bertalot H. (ed.) 2012: Taxonomy - Biogeography - Diversity. — Pp. [1]-861. Iconographia Diatomologica 23. — Ruggell:
A.R.G. Gantner Verlag K.G. ISBN 978-3-905997-09-5

e Kulikovskiy M., Lange-Bertalot H., Metzeltin D. &Witkowski A. 2012: Lake Baikal: Hotspot of endemic diatoms |. — Pp. [1]-607 in
Lange-Bertalot H. (ed.): Iconographia Diatomologica 23. — Ruggell: A.R.G. Gantner Verlag K.G.

In der IAPT-Datenbank wurde Iconographia Diatomologica wie eine Zeitschrift behandelt, da gab es keine Probleme. Wenn das
Buch einen Sachtitel hat und keine weiteren Sections habe ich auch kein Problem mit Ein- und Ausgabe. Aber hier. Ich habe das
Buch im TaxEditor angelegt:

81c52545-cc09-4e0d-8ae6-9171e3b03c3b

Im TaxEditor scheint die Eingabe korrekt zu sein. Das eigentliche Buch hat keine Autoren, nur einen Herausgeber, der auch
Herausgeber der Series=PrintSeries ist.
[& Details = |

~ Reference: Taxonomy - biogeography - diversity. 23. 2012

The Reference is referenced by 2 objects, if you char‘ﬁi:g}\is changed for all these objects

Reference Cache‘ Taxonomy - biogeography - divetsity. 23.\%012

Nomencl. Cache | Taxonomy - biogeography - diverty. 23. 2}]12

Reference Type | Book

Title axonomy - biogeography - diversity. '\_/

Nomencl. Title  Taxonomy - biogeography - diversity.

Author

-——-'% Iconographia Diatomologica

111

Editor Lange-Bertalot, H. v._f/

Edition )

ISEN 978-3-905997-09-5 \../, B

Place Published  Ruggell v

Publisher AR.G. Gantner Verlag K.G. \./

Volume 23 \

Series

Pages
Date Published » 2012 -~

LinT

Zusatzdaten

Reference: Iconographia Diatomologica
» Annotations

» Marker

» Sources

» Identifiers

» Extensions

» Credits

1

¢+ Rights

r Media

Ul w|+| |+ +|+|+

+| +

Created 2018-6-11 14:29 by henning
Updated 2018-10-29 1428 by henning

UuID

81c52545-cc09-4e0d-8ae6-9171e3b03c3b

In "Vaadin" sieht die Referenz etwas anders aus:

http://api.cybertaxonomy.org/phycobank/app/registration#!workingset/f715f91c-466a-4691-a9f8-7aec9dbfd0f7

Der Series-Title steht in der In-reference, aber die Series ist leer, beides passt nicht zusammen. Dann ist mir noch aufgefallen, dass

die Pages nicht gefllt sind.
http://api.cybertaxonomy.org/phycobank/app/registration#!workingset/f715f91c-466a-4691-a9f8-7aec9dbfd0f7

Date published Relerence tyne

ogeography - ¢

Nomenc latural title

Authorn(s)

n-referance

tr =

Violume Edition

23

Place published Publisher Editor

AL AR Gantner Vierag K.G Lange-Bers

Editonial notes

Die Reprasentierung des Buches in Vaadin wirde ich nie im Leben auswahlen oder finden:

N
Registration Workingset Editor

Taxonomy - biocgeography - diversity. 23. 2012

Registrations

Add a new registration for a new name or an

For most nemes that already exist in the system, it is only possible to create a registration covering type designations. In all other cases please choose
main menu and start a registration for the nomenclatural reference of the name to be registered.

Subtasks:

feature request # 10245: #9626 Implement publisher information for bibliographic refere...
Related issues:

Related to EDIT - bug #1866: BookDefaultCacheStrategy does not show free text...

History
#1-10/30/2018 11:23 AM - Andreas Kohlbecker

- Description updated

#2 - 10/30/2018 11:25 AM - Andreas Kohlbecker
- Description updated

#3 - 10/30/2018 11:30 AM - Andreas Kohlbecker
- File Screenshot_20181030_112616.png added

- File Screenshot_20181030_112851.png added

- File Screenshot_20181030_112944.png added

- Description updated

#4 - 10/30/2018 11:38 AM - Andreas Kohlbecker
- Related to bug #1866: BookDefaultCacheStrategy does not show free text date published added

#5 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#6 - 03/04/2019 11:47 AM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- Target version changed from Release 5.6 to Unassigned CDM tickets

Hi Andreas, | am passing this to you since it is a bug in the cache strategy and closely related to #1866

#7 - 10/26/2021 05:59 PM - Andreas Miiller
- Tags changed from phycobank to phycobank, formatting

#8 - 10/26/2021 05:59 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.45

#10 - 01/12/2023 11:19 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Belen Escobari
- Priority changed from New to Highest

- Target version changed from Release 5.45 to Release 5.44

maybe a duplicate for #10245

#11 - 03/28/2023 04:02 PM - Andreas Miiller

- Assignee changed from Belen Escobari to Andreas Miiller

Files

Screenshot_20181030_112616.png 59.5 KB 10/30/2018 Andreas Kohlbecker
Screenshot_20181030_112851.png 66.2 KB 10/30/2018 Andreas Kohlbecker
Screenshot_20181030_112944.png 46.8 KB 10/30/2018 Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/1866
https://dev.e-taxonomy.eu/redmine/issues/10245
http://www.tcpdf.org

